Bug 238086 - can't install RHEL5 guest
Summary: can't install RHEL5 guest
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-27 00:59 UTC by Jens Petersen
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 21:05:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log (2.63 KB, text/plain)
2007-04-30 01:41 UTC, Jens Petersen
no flags Details

Description Jens Petersen 2007-04-27 00:59:13 UTC
Description of problem:
When I try to install RHEL5 Client (x86_64) as a guest on rawhide
I get an error dialog saying:

"Unable to complete install: 'Could not find an installable distribution the
install location'".

(BTW the message 'Could not find an installable distribution the install
location' should be fixed also.)

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-1.fc7.

How reproducible:
every time

Steps to Reproduce:
1. try install RHEL5 as a guest domain
  
Actual results:
Dialog appears with above message and Details:

Unable to complete install '<type 'exceptions.RuntimeError'> Could not find an
installable distribution the install location
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 677, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 647, in
start_install
    tmpfiles = self._prepare_install_location(meter)
  File "/usr/lib/python2.5/site-packages/virtinst/ParaVirtGuest.py", line 65, in
_prepare_install_location
    (kernelfn,initrdfn,args) = DistroManager.acquireKernel(self.location, meter,
scratchdir=self.scratchdir, type=self.type)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 567,
in acquireKernel
    progresscb=progresscb, distro=distro, scratchdir=scratchdir)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 556,
in _storeForDistro
    raise RuntimeError, "Could not find an installable distribution the install
location"
RuntimeError: Could not find an installable distribution the install location
'


Expected results:
no error

Comment 1 Daniel Berrange 2007-04-27 03:23:09 UTC
Need to know what install parameters you provided - please grab
/root/.virt-manager/virt-manager.log from immediately after a failed install &
attach to this ticket. Also what python-virtinst version ?

Comment 2 Jens Petersen 2007-04-30 01:41:31 UTC
Created attachment 153753 [details]
virt-manager.log

Comment 3 Jens Petersen 2007-04-30 05:03:08 UTC
I have python-virtinst-0.103.0-2.fc7 installed.

Comment 4 Red Hat Bugzilla 2007-07-25 02:09:54 UTC
change QA contact

Comment 5 Daniel Berrange 2007-09-27 21:05:04 UTC
This is fixed in python-virtinst-0.200-1.fc7



Note You need to log in before you can comment on or make changes to this bug.